Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 253862 - >=media-libs/libcanberra-0.10 - libtool: link: cannot find the library `../libltdl/libltdl.la' or unhandled argument `../libltdl/libltdl.la'
Summary: >=media-libs/libcanberra-0.10 - libtool: link: cannot find the library `../li...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High QA (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords: NeedPatch
: 258750 278844 282730 287389 304303 331629 333363 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-01-05 14:55 UTC by Mik B. Shvets
Modified: 2020-06-09 14:09 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,52.18 KB, text/plain)
2009-01-05 14:55 UTC, Mik B. Shvets
Details
parallel-install-bug-253862.patch (parallel-install-bug-253862.patch,592 bytes, patch)
2009-03-01 23:13 UTC, Ed Catmur
Details | Diff
build log (media-libs:libcanberra-0.23:20100514-093803.log,51.77 KB, text/plain)
2010-05-14 09:46 UTC, Xake
Details
The complete build log (build.log,53.99 KB, text/plain)
2010-08-09 14:12 UTC, Pál Csányi
Details
The ebuild environment file (environment,55.00 KB, text/plain)
2010-08-09 14:16 UTC, Pál Csányi
Details
build.log (libcanberra-0.28-r2:20110604-182433.log,67.95 KB, text/plain)
2011-06-04 18:28 UTC, Pacho Ramos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mik B. Shvets 2009-01-05 14:55:20 UTC
libtool: link: cannot find the library `../libltdl/libltdl.la' or unhandled argument `../libltdl/libltdl.la'
make[2]: *** [libcanberra.la] Error 1


Reproducible: Always




Portage 2.2_rc20 (default/linux/amd64/2008.0, gcc-4.3.2, glibc-2.8_p20080602-r0, 2.6.27-gentoo x86_64)
=================================================================
System uname: Linux-2.6.27-gentoo-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_4000+-with-glibc2.2.5
Timestamp of tree: Mon, 05 Jan 2009 08:00:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p48
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.5.2-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.1
sys-apps/sandbox:    1.3.2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=athlon64 -msse3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=athlon64 -msse3"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="ru_UA.utf8"
LC_ALL=""
LDFLAGS="-Wl,-O1"
LINGUAS="ru en"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/kde-crazy /usr/local/portage/layman/lxde /usr/local/portage/layman/enlightenment"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 7zip X a52 aac acl alsa amd64 apache2 archive bash-completion beagle berkdb bzip2 cairo cdr cli cracklib crypt cups curl dbus djvu dri dvd dvdr dvdread encode ffmpeg firefox flac fortran fuse gdbm gif glitz gnome gpm gtk2 hal iconv isdnlog java jpeg jpeg2k kde libnotify logrotate midi mmx mmxext mng mp3 mp4 mpeg mudflap multilib mysql nautilus ncurses nls nptl nptlonly nsplugin ogg opengl openmp p7zip pam pcre pda pdf perl pertty php plasma png pppd python qt3 qt4 rar readline reflection samba session slang smp spell spl sse sse2 ssl ssse3 svg symlink sysfs tcpd threads tiff tracker truetype unicode utf8 vcd vim-syntax vorbis wmf x264 xcomposite xine xml xorg xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" ELIBC="glibc" INPUT_DEVICES="mouse keyboard" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru en" USERLAND="GNU" VIDEO_CARDS="nv nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Mik B. Shvets 2009-01-05 14:55:44 UTC
Created attachment 177471 [details]
build.log
Comment 2 Gilles Dartiguelongue gentoo-dev 2009-01-05 21:48:41 UTC
revdep-rebuild run needed ?
Comment 3 Mik B. Shvets 2009-01-06 08:47:34 UTC
Have tried. No effect.
Comment 4 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-01-07 19:55:25 UTC
Parallel build issue?  (try with -j1)

It built here with j2, but that doesn't mean anything, and I don't have convenient access to my quad-core ATM.
Comment 5 Mik B. Shvets 2009-01-08 08:49:45 UTC
Have just tried with -j1.
No effect. Still the same error.
Comment 6 Mik B. Shvets 2009-01-08 12:15:55 UTC
Error dissapered after updating mpg123 to media-sound/mpg123-1.6.2 
Comment 7 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-01-31 21:56:42 UTC
Odd, since libcanberra has nothing at all to do with mpg123 (and I don't even have that installed).  You didn't, by any change, change libtool about the same time?
Comment 8 Olivier Crete (RETIRED) gentoo-dev 2009-02-04 18:48:39 UTC
Had this problem once, re-emerged, it disapears, possible race with -j3... I guess this one should be forced down to -j1 for now..
Comment 9 Gilles Dartiguelongue gentoo-dev 2009-02-04 20:05:59 UTC
(In reply to comment #8)
> Had this problem once, re-emerged, it disapears, possible race with -j3... I
> guess this one should be forced down to -j1 for now..
> 

uh, ugly. No I don't want us to fall into the -j1 lazyness again. We want to understand the problem and solve it once and for all.
Comment 10 Gilles Dartiguelongue gentoo-dev 2009-02-11 23:02:06 UTC
I just pushed 0.11 to CVS, could you guys give it a shot ?
Comment 11 Peter Alfredsen (RETIRED) gentoo-dev 2009-02-12 22:36:53 UTC
*** Bug 258750 has been marked as a duplicate of this bug. ***
Comment 12 Peter Alfredsen (RETIRED) gentoo-dev 2009-02-12 22:37:40 UTC
0.11 is no good either ( see duped bug )
Comment 13 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-02-13 20:53:44 UTC
I'm no longer convinced this is a parallel issue, or at least it's not a simple one.  I've been running -j12 merges on two different quad-core boxes (one stable and one ~arch) and both are several hundred iterations in without any problems.
Comment 14 Alexandre Ney 2009-02-20 15:56:43 UTC
I had the same problem with -j7 with distcc enabled and disabled. I fixed it by changing to -j1 for that package.
Comment 15 Ed Catmur 2009-03-01 22:32:53 UTC
According to [1], this is a libtool/automake bug.

1. http://www.mail-archive.com/libtool@gnu.org/msg05871.html 
Comment 16 Ed Catmur 2009-03-01 23:13:23 UTC
Created attachment 183619 [details, diff]
parallel-install-bug-253862.patch

This seems to work here; it's a bit of a hack though.  I guess automake/libtool should be introducing these dependencies itself, or making libtool's relink more stateless.
Comment 17 Samuli Suominen gentoo-dev 2009-07-21 10:43:58 UTC
So.. what about 0.14? Still required?
Comment 18 Gilles Dartiguelongue gentoo-dev 2009-07-23 20:53:44 UTC
*** Bug 278844 has been marked as a duplicate of this bug. ***
Comment 19 Gilles Dartiguelongue gentoo-dev 2009-07-27 10:46:02 UTC
this patch is actually harmful as it somehow disables installation of the gtk module.
Comment 20 Gilles Dartiguelongue gentoo-dev 2009-08-26 14:12:37 UTC
*** Bug 282730 has been marked as a duplicate of this bug. ***
Comment 21 Justin Lecher (RETIRED) gentoo-dev 2009-10-02 19:01:34 UTC
*** Bug 287389 has been marked as a duplicate of this bug. ***
Comment 22 Gilles Dartiguelongue gentoo-dev 2010-02-12 10:28:47 UTC
*** Bug 304303 has been marked as a duplicate of this bug. ***
Comment 23 Toralf Förster gentoo-dev 2010-02-12 10:50:48 UTC
(In reply to comment #13)
> I'm no longer convinced this is a parallel issue, or at least it's not a simple
> one.  I've been running -j12 merges on two different quad-core boxes (one
> stable and one ~arch) and both are several hundred iterations in without any
> problems.
> 
I tried it with "-j3" - it failed, immediately after that I tried it with "-j1" and it worked (bug #304303).
Comment 24 Samuli Suominen gentoo-dev 2010-02-23 20:10:36 UTC
Any update with 0.23? Works fine here, libtool-2.2.6b and -j9.
Comment 25 Toralf Förster gentoo-dev 2010-02-24 08:55:07 UTC
(In reply to comment #24)
> Any update with 0.23? Works fine here, libtool-2.2.6b and -j9.
> 
0.23  compiled fine with -j3.here

Comment 26 Pacho Ramos gentoo-dev 2010-03-27 09:45:02 UTC
(In reply to comment #25)
> (In reply to comment #24)
> > Any update with 0.23? Works fine here, libtool-2.2.6b and -j9.
> > 
> 0.23  compiled fine with -j3.here
> 

And also succeeds here

Feel free to reopen if it reappears with newest version 
Comment 27 Xake 2010-05-14 09:42:31 UTC
Since the bug with my exact output was marked as a duplicate of this on, I think I should post here:

libcanberra.la -lm -inst-prefix-dir /var/tmp/portage/media-libs/libcanberra-0.23/image/)
/var/tmp/portage/media-libs/libcanberra-0.23/work/libcanberra-0.23/src/.libs/libcanberra-gtk.so: file not recognized: File truncated
collect2: ld returned 1 exit status
libtool: install: error: relink `libcanberra-gtk-module.la' with the above command before installing it
make[2]: *** [install-gtkmoduleLTLIBRARIES] Error 1
make[2]: *** Waiting for unfinished jobs....


# emerge --info
Portage 2.2_rc67 (hardened/linux/amd64/10.0, gcc-4.4.4, glibc-2.11.1-r0, 2.6.33-gentoo-r2 x86_64)
=================================================================
System uname: Linux-2.6.33-gentoo-r2-x86_64-Intel-R-_Core-TM-_i7_CPU_920_@_2.67GHz-with-gentoo-2.0.1
Timestamp of tree: Fri, 14 May 2010 01:00:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:     4.1_p5
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r2, 3.1.2-r3
dev-python/pycrypto: 2.1.0
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.1-r1
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.33
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -ggdb -mtune=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -ggdb -mtune=native"
DISTDIR="/var/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages metadata-transfer news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict test unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="ftp://ftp.sunet.se/pub/os/Linux/distributions/gentoo"
INSTALL_MASK="*.la"
LANG="sv_SE.UTF-8"
LC_ALL="C"
LDFLAGS="-Wl,--as-needed -Wl,-O1 -Wl,--sort-common -Wl,--warn-once,--hash-style=gnu"
LINGUAS="sv en"
MAKEOPTS="-j10 -l10"
PKGDIR="/var/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/portage"
PORTDIR_OVERLAY="/var/overlays/layman/java-overlay /var/overlays/layman/hardened-development /var/overlays/layman/gnome /var/overlays/layman/x11 /var/overlays/layman/mozilla /var/overlays/layman/gamerlay /var/overlays/mine"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac accessibility acl acpi alsa amd64 amr amrnb amrwb applet archive asyncns avahi bash-completion bluetooth branding bzip2 cairo ccache cdaudio cdda cdr cleartype cli consolekit cracklib crypt cups cxx dbus device-mapper devicekit devkit dhcpcd digitalradio dirac djvu dmraid dri dts dvd dvdr dvi eds encode eselect evo exif faac faad fat fbcondecor ffmpeg fftw flac fontconfig fuse gdbm gdm gdu gif gimp glib gmp gnome gnome-keyring gphoto2 gpm grammar graphite gsf gsm gstreamer gtk gudev hal hardened hpn ical iconv iconvacl icq icu id3tag idn ieee1394 iptc jabber jack java6 jingle jpeg jpeg2k justify kate kvm lcms libffi libnotify libsamplerate logrotate lvm lvm2 lzma mad maps math matroska mdadm midi mms mmx mmxext mng moonlight mp2 mp3 mpeg mpi msn mtp mudflap multilib musepack musicbrainz nautilus ncurses network-cron networkmanager nfs nls nntp nptl nptlonly ntfs offensive ogg openal opencore-amr opengl openmp openntpd ots pam pango parted pcre pdf perl pic pidgin png policykit pppd pulseaudio python quicktime raw readline reflection rrdcgi samba sensord session smp sms speex spell spl sse sse2 ssl ssse3 startup-notification subversion svg sysfs test tex theora thesaurus threads tiff totem truetype udev unicode upnp urandom usb userlocales v4l2 vdpau vhook videos vim-syntax vorbis webkit wmf x264 xcb xcomposite xmp xmpp xorg xrandr xscreensaver xulrunner xv xvid xvmc zeroconf zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="sv en" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nouveau nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 28 Xake 2010-05-14 09:46:57 UTC
Created attachment 231409 [details]
build log

This happends with 0.23 and MAKEOPTS="-j10 -l10" on my quad-core with HT. MAKEOPTS="-j1" works fine.

The problem here seems to be that during install libcanberra-gtk-module.so and libcanberra-gtk.so are processed at the same time, making libcanberra-gtk-module.so fail since libcanberra-gtk.so are changed.
Comment 29 Pacho Ramos gentoo-dev 2010-05-14 10:42:26 UTC
Please report this problem to upstream at:
http://bugs.freedesktop.org

Thanks a lot
Comment 30 Toralf Förster gentoo-dev 2010-05-14 17:31:03 UTC
(In reply to comment #29)
> Please report this problem to upstream at:
> http://bugs.freedesktop.org
> 
> Thanks a lot
> 

https://bugs.freedesktop.org/show_bug.cgi?id=28108
Comment 31 Pacho Ramos gentoo-dev 2010-05-14 18:19:36 UTC
Thanks
Comment 33 Xake 2010-05-14 21:24:22 UTC
Thing is:
adding "--disable-fast-install" to econf and make install works nice, seems like the relinking it forces is what breaks. Does gentoo really need fast-install?
Comment 34 Samuli Suominen gentoo-dev 2010-08-08 23:16:07 UTC
*** Bug 331629 has been marked as a duplicate of this bug. ***
Comment 35 Pál Csányi 2010-08-09 14:12:45 UTC
Created attachment 241981 [details]
The complete build log
Comment 36 Pál Csányi 2010-08-09 14:16:24 UTC
Created attachment 241983 [details]
The ebuild environment file
Comment 37 Pál Csányi 2010-08-09 14:18:55 UTC
Failed to emerge media-libs/libcanberra-0.25, Log file:

 * Messages for package sys-fs/udev-151-r4:

 *   CONFIG_IDE:	 should not be set. But it is.
 * Please check to make sure these options are set correctly.
 * Failure to do so may cause unexpected problems.
 * 
 * udev-151 does not support Linux kernel before version 2.6.25!
 * For a reliable udev, use at least kernel 2.6.27
 * 
 * Updating persistent-net rules file
 * 
 * restarting udevd now.
 * 
 * If after the udev update removable devices or CD/DVD drives
 * stop working, try re-emerging HAL before filling a bug report
 * 
 * persistent-net does assigning fixed names to network devices.
 * If you have problems with the persistent-net rules,
 * just delete the rules file
 * 	rm /etc/udev/rules.d/70-persistent-net.rules
 * and then reboot.
 * 
 * This may however number your devices in a different way than they are now.
 * 
 * If you build an initramfs including udev, then please
 * make sure that the /sbin/udevadm binary gets included,
 * and your scripts changed to use it,as it replaces the
 * old helper apps udevinfo, udevtrigger, ...
 * 
 * mount options for directory /dev are no longer
 * set in /etc/udev/udev.conf, but in /etc/fstab
 * as for other directories.
 * 
 * This version of udev no longer has devfs-compat enabled
 * If you use /dev/md/*, /dev/loop/* or /dev/rd/*,
 * then please migrate over to using the device names
 * /dev/md*, /dev/loop* and /dev/ram*.
 * The devfs-compat rules will be removed on the next udev update.
 * For reference see Bug #269359.
 * 
 * This version of udev no longer has use flag old-hd-rules enabled
 * So all special rules for /dev/hd* devices are missing
 * Please migrate to the new libata if you need these rules.
 * They will be completely removed on the next udev update.
Comment 38 Gilles Dartiguelongue gentoo-dev 2010-08-19 07:57:31 UTC
*** Bug 333363 has been marked as a duplicate of this bug. ***
Comment 39 Pacho Ramos gentoo-dev 2010-08-24 12:34:28 UTC
Since upstream thinks parallel install is not supported by libtool I am not sure about what would be the best way to handle this:
1. Run "emake -j1 DESTDIR="${D}" install || die"
2. Use --disable-fast-install option

What do you think?
Comment 40 Pál Csányi 2010-08-24 14:30:15 UTC
I think that that it would be the best way to handle this by
using the '--disable-fast-install' option.

However, I'm using not Gentoo anymore, I returned to Debian GNU/Linux. Sorry.

My best wishes!!
Comment 41 Xavier Miller (RETIRED) gentoo-dev 2010-09-24 17:36:37 UTC
Same problem here (media-libs/libcanberra-0.25 rebuild due to sound%* USE). Install failed with parallel build, but went fine with MAKEOPTS=-j1
Comment 42 Pacho Ramos gentoo-dev 2010-09-24 20:18:43 UTC
+  24 Sep 2010; Pacho Ramos <pacho@gentoo.org> libcanberra-0.25.ebuild:
+  Disable parallel installation until bug #253862 is solved.
+
Comment 43 Pacho Ramos gentoo-dev 2011-06-04 10:02:00 UTC
libltdl is no longer provided in latest version, then, this bug shouldn't occur anymore (or should fail on a different way). 

Will retry to install in parallel again and, if it works, will drop the workaround
Comment 44 Pacho Ramos gentoo-dev 2011-06-04 18:28:05 UTC
Created attachment 275841 [details]
build.log

Updated log
Comment 45 Pacho Ramos gentoo-dev 2011-06-09 09:53:15 UTC
Can anyone try if he is able to reproduce on a different distribution? Looks like latest error is always reproducible for me on Gentoo but, as mailed by other people to me, they cannot reproduce on a different distribution with the same libtool version and re-libtoolizing
Comment 46 Pacho Ramos gentoo-dev 2011-07-15 11:48:45 UTC
Maybe libtool maintainers have some idea about why we seem to be the only distribution still hitting latest errors (shown in the only non obsolete build.log attached here)
Comment 47 Peter Volkov (RETIRED) gentoo-dev 2011-07-21 08:12:54 UTC
Pacho, is it possible that other distributions disabled parallel installation during install somehow?
Comment 48 Xake 2011-07-21 09:00:42 UTC
(In reply to comment #46)
> Maybe libtool maintainers have some idea about why we seem to be the only
> distribution still hitting latest errors (shown in the only non obsolete
> build.log attached here)

Looking at build.logs[1] from koji latest version of libcanberra seems to be built with "make -j16", however there is not "-j" during install...

Or you mean they do not even hit this when they build it by hand?

[1] http://kojipkgs.fedoraproject.org/packages/libcanberra/0.28/3.fc16/data/logs/x86_64/build.log
Search for "+ make"
Comment 49 Pacho Ramos gentoo-dev 2011-07-21 16:03:09 UTC
(In reply to comment #47)
> Pacho, is it possible that other distributions disabled parallel installation
> during install somehow?

In that case, I asked him to manually compile it with make -jX and was unable to reproduce (I don't remember what distribution was running, but I am sure it wasn't fedora)

About fedora, I think they simply install with -j1 as think libtool doesn't support parallel installations at all